<?php
require'f_forumm.php';
$titlu='Adaugă topic în forumul '.$fnume;
require'f_sus.php';
require'f_mut.php';
$ntitle=$_POST['ntitle'];
$tpctxt=$_POST['tpctxt'];
$ltopic=$conn->query('SELECT`data`FROM`forum_topicuri`WHERE`de`="'.$de.'"ORDER BY`data`DESC LIMIT 1')->fetch_row()[0];
if(($_SERVER['REQUEST_TIME']-$ltopic)>$anti_flood)
{
if($ntitle!=''||$tpctxt!='')
{
require'f_blocat.php';
if(blocat($ntitle)||blocat($tpctxt))
{
$tip='topic';
$text='Titlu topic: '.$ntitle.'[br/]Text topic: '.$tpctxt;
require'f_ban.php';
}
require'f_spam.php';
if($conn->query('INSERT INTO`forum_topicuri`SET`nume`="'.$ntitle.'",`fid`="'.$fid.'",`de`="'.$de.'",`text`="'.$tpctxt.'",`data`="'.$_SERVER['REQUEST_TIME'].'",`activitate`="'.$_SERVER['REQUEST_TIME'].'",`raportat`="'.((spam($ntitle)||spam($tpctxt))&&!in_array($de,$id_proprietari)?$id_robot:0).'"'))
{
$tid=$conn->insert_id;
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Topicul <a href="/forum/topic/'.$tid.'-'.seo($ntitle).'">'.htmlspecialchars($ntitle).'</a> a fost creat, iar tu ai primit suma de <strong>'.$lei['topic'].'</strong> lei!<br />La adaugarea de postări, primești automat notificari de la cei ce postează!';
$conn->query('UPDATE`membrii`SET`postari`=postari+1,`lei`=lei+'.$lei['topic'].' WHERE`id`="'.$de.'"');
require'f_sex.php';
require'f_notificare.php';
if($finfo[3]==0)
{
$items=$conn->query('SELECT`de`FROM`forum_abonati_forumuri`WHERE`fid`="'.$fid.'"&&`de`!="'.$de.'"');
while($item=$items->fetch_row())
{
notificare('in forumul [url=/forum/forum/'.$fid.'-'.seo($finfo[2]).']'.$finfo[2].'[/url] la care ești abonat'.sex($item[0],2).', am creat topicul [url=/forum/topic/'.$tid.'-'.seo($ntitle).']'.$ntitle.'[/url]!',$item[0],$de);
}
}
else
{
$items=$conn->query('SELECT`de`FROM`grup_membrii`WHERE`de`!="'.$de.'"&&`cid`="'.$finfo[3].'"&&`citit`>"0"&&`dezabonat`="0"');
while($item=$items->fetch_row())
{
notificare('am adăugat topicul [url=/forum/topic/'.$tid.'-'.seo($ntitle).']'.$ntitle.'[/url] în grupul [url=/grup/id/'.$finfo[3].'-'.seo($cinfo[1]).']'.$cinfo[1].'[/url]!',$item[0],$de);
}
}
$conn->query('INSERT INTO`evenimente`SET`text`="a creiat topicul [url=/forum/topic/'.$tid.'-'.seo($ntitle).']'.$ntitle.'[/url]",`de`="'.$de.'",`data`="'.$_SERVER['REQUEST_TIME'].'",`tip`="1"');
echo'<br /><a href="/forum/topic/'.$tid.'-'.seo($ntitle).'">Vezi topic</a><br />';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Un topic cu acest nume este adăugat deja în acest forum!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai completat numele sau textul topicului!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Mai asteapta: <strong>'.($_SERVER['REQUEST_TIME']-$ltopic).'</strong> secunde!';
echo$div[0];
require'f_jos.php';